Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Class RoutePathNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.routing.RoutingException
                          org.mule.api.routing.RoutePathNotFoundException

All Implemented Interfaces:
  Serializable

    public class RoutePathNotFoundException

extends RoutingException

`RoutePathNotFoundException` is thrown if a routing path for an event cannot be found. This can be caused if there is no (or no matching) endpoint for the event to route through.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.routing.RoutingException
`route`

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`RoutePathNotFoundException(Message message, MuleEvent event, MessageProcessor target)`
`RoutePathNotFoundException(Message message, MuleEvent event, MessageProcessor target, Throwable cause)`
`RoutePathNotFoundException(Message message, MuleMessage muleMessage, MessageProcessor target)` Deprecated. use RoutePathNotFoundException(Message, MuleEvent, RoutingTarget)
`RoutePathNotFoundException(Message message, MuleMessage muleMessage, MessageProcessor target, Throwable cause)` Deprecated. use
`RoutePathNotFoundException(MuleEvent event, MessageProcessor target)`
`RoutePathNotFoundException(MuleEvent event, MessageProcessor target, Throwable cause)`
`RoutePathNotFoundException(MuleMessage message, MessageProcessor target)` Deprecated. use RoutePathNotFoundException(MuleEvent, RoutingTarget)
`RoutePathNotFoundException(MuleMessage message, MessageProcessor target, Throwable cause)` Deprecated. use RoutePathNotFoundException(MuleEvent, RoutingTarget, Throwable)

Method Summary

Methods inherited from class org.mule.api.routing.RoutingException
`getRoute`

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoutePathNotFoundException

    @Deprecated
    public RoutePathNotFoundException(MuleMessage message,
                                                 MessageProcessor target)

  Deprecated. use RoutePathNotFoundException(MuleEvent, RoutingTarget)

### RoutePathNotFoundException

    public RoutePathNotFoundException(MuleEvent event,
                                      MessageProcessor target)

### RoutePathNotFoundException

    @Deprecated
    public RoutePathNotFoundException(MuleMessage message,
                                                 MessageProcessor target,
                                                 Throwable cause)

  Deprecated. use RoutePathNotFoundException(MuleEvent, RoutingTarget, Throwable)

### RoutePathNotFoundException

    public RoutePathNotFoundException(MuleEvent event,
                                      MessageProcessor target,
                                      Throwable cause)

### RoutePathNotFoundException

    @Deprecated
    public RoutePathNotFoundException(Message message,
                                                 MuleMessage muleMessage,
                                                 MessageProcessor target)

  Deprecated. use RoutePathNotFoundException(Message, MuleEvent, RoutingTarget)

### RoutePathNotFoundException

    public RoutePathNotFoundException(Message message,
                                      MuleEvent event,
                                      MessageProcessor target)

### RoutePathNotFoundException

    @Deprecated
    public RoutePathNotFoundException(Message message,
                                                 MuleMessage muleMessage,
                                                 MessageProcessor target,
                                                 Throwable cause)

  Deprecated. use

### RoutePathNotFoundException

    public RoutePathNotFoundException(Message message,
                                      MuleEvent event,
                                      MessageProcessor target,
                                      Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.